-- 基础信息
base_info = {
	group_id = 166001350
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	-- 开采矿区侧面
	{ config_id = 350001, shape = RegionShape.POLYGON, pos = { x = 1139.260, y = 948.952, z = 524.623 }, height = 88.840, point_array = { { x = 1135.703, y = 455.795 }, { x = 1150.815, y = 451.944 }, { x = 1190.607, y = 504.558 }, { x = 1179.426, y = 576.615 }, { x = 1100.735, y = 597.303 }, { x = 1091.097, y = 583.837 }, { x = 1109.537, y = 545.864 }, { x = 1087.913, y = 484.259 }, { x = 1099.381, y = 462.098 } }, area_id = 300, vision_type_list = { 60010002 } },
	-- 天空岛小碎片
	{ config_id = 350002, shape = RegionShape.CUBIC, size = { x = 300.000, y = 100.000, z = 300.000 }, pos = { x = 435.589, y = 694.451, z = 377.205 }, area_id = 300, vision_type_list = { 60010003 } },
	-- 开采矿区正面
	{ config_id = 350003, shape = RegionShape.CUBIC, size = { x = 518.100, y = 181.350, z = 325.130 }, pos = { x = 963.852, y = 983.127, z = 545.393 }, area_id = 300, vision_type_list = { 60010004 } },
	-- 天空岛大碎片
	{ config_id = 350004, shape = RegionShape.CUBIC, size = { x = 400.000, y = 400.000, z = 400.000 }, pos = { x = 375.142, y = 186.552, z = 1332.366 }, area_id = 300, vision_type_list = { 60010010 } },
	-- 开采矿区下层
	{ config_id = 350005, shape = RegionShape.CUBIC, size = { x = 200.000, y = 80.000, z = 263.420 }, pos = { x = 1008.988, y = 838.315, z = 564.444 }, area_id = 300, vision_type_list = { 60010013 } },
	-- 前线矿道正面主体
	{ config_id = 350006, shape = RegionShape.POLYGON, pos = { x = 976.503, y = 774.254, z = 328.926 }, height = 168.145, point_array = { { x = 982.425, y = 460.993 }, { x = 958.263, y = 443.345 }, { x = 879.936, y = 342.215 }, { x = 861.397, y = 246.244 }, { x = 950.194, y = 177.292 }, { x = 1062.256, y = 295.205 }, { x = 1057.789, y = 300.345 }, { x = 1091.610, y = 426.468 }, { x = 1088.624, y = 446.956 }, { x = 1068.654, y = 472.709 }, { x = 1055.213, y = 478.464 }, { x = 1041.580, y = 480.560 }, { x = 1010.793, y = 473.320 }, { x = 993.545, y = 463.908 } }, area_id = 300, vision_type_list = { 60010012 } },
	-- 前线矿道后半段上层
	{ config_id = 350007, shape = RegionShape.POLYGON, pos = { x = 795.186, y = 757.509, z = 277.138 }, height = 58.589, point_array = { { x = 700.016, y = 203.224 }, { x = 690.833, y = 228.938 }, { x = 668.421, y = 273.780 }, { x = 762.336, y = 343.286 }, { x = 905.878, y = 371.307 }, { x = 914.337, y = 358.171 }, { x = 915.962, y = 351.965 }, { x = 921.952, y = 309.523 }, { x = 849.388, y = 182.969 } }, area_id = 300, vision_type_list = { 60010014 } },
	-- 前线矿道废弃愚人众区域
	{ config_id = 350008, shape = RegionShape.POLYGON, pos = { x = 720.344, y = 771.467, z = 382.486 }, height = 46.854, point_array = { { x = 646.012, y = 380.558 }, { x = 676.274, y = 315.999 }, { x = 689.364, y = 287.589 }, { x = 778.493, y = 319.412 }, { x = 794.677, y = 433.340 }, { x = 738.438, y = 477.383 } }, area_id = 300, vision_type_list = { 60010015 } },
	-- 蘑菇坑
	{ config_id = 350009, shape = RegionShape.POLYGON, pos = { x = 797.265, y = 756.488, z = 470.005 }, height = 131.636, point_array = { { x = 772.294, y = 537.563 }, { x = 711.530, y = 501.146 }, { x = 731.512, y = 437.986 }, { x = 738.957, y = 416.936 }, { x = 775.109, y = 405.691 }, { x = 879.102, y = 402.447 }, { x = 883.000, y = 504.062 } }, area_id = 300, vision_type_list = { 60010016 } },
	-- 夹层岩湖
	{ config_id = 350010, shape = RegionShape.POLYGON, pos = { x = 791.832, y = 824.570, z = 648.793 }, height = 100.610, point_array = { { x = 677.632, y = 702.400 }, { x = 677.406, y = 565.292 }, { x = 862.216, y = 546.918 }, { x = 894.818, y = 544.755 }, { x = 906.259, y = 556.963 }, { x = 887.718, y = 566.252 }, { x = 863.212, y = 664.781 }, { x = 759.834, y = 752.831 } }, area_id = 300, vision_type_list = { 60010011 } },
	-- 巨蛇矿洞
	{ config_id = 350011, shape = RegionShape.POLYGON, pos = { x = 776.486, y = 970.216, z = 988.127 }, height = 142.832, point_array = { { x = 914.526, y = 995.274 }, { x = 936.538, y = 999.145 }, { x = 912.005, y = 1151.606 }, { x = 679.373, y = 1103.937 }, { x = 616.434, y = 1027.628 }, { x = 687.835, y = 925.948 }, { x = 753.389, y = 824.648 }, { x = 875.232, y = 940.044 } }, area_id = 300, vision_type_list = { 60010017 } },
	-- 晦暗之地
	{ config_id = 350012, shape = RegionShape.POLYGON, pos = { x = 470.047, y = 430.758, z = 492.632 }, height = 122.195, point_array = { { x = 389.552, y = 640.213 }, { x = 333.304, y = 647.898 }, { x = 256.202, y = 644.646 }, { x = 350.240, y = 390.896 }, { x = 374.763, y = 337.366 }, { x = 479.145, y = 374.708 }, { x = 511.054, y = 424.793 }, { x = 625.328, y = 439.111 }, { x = 683.892, y = 567.855 }, { x = 677.433, y = 588.575 } }, area_id = 300, vision_type_list = { 60010006 } },
	-- 下沉遗迹下层
	{ config_id = 350013, shape = RegionShape.CUBIC, size = { x = 300.000, y = 65.000, z = 200.000 }, pos = { x = 131.343, y = 257.787, z = 407.469 }, area_id = 300, vision_type_list = { 60010018 } },
	-- 水没遗迹
	{ config_id = 350014, shape = RegionShape.POLYGON, pos = { x = 683.361, y = 401.544, z = 713.457 }, height = 93.721, point_array = { { x = 601.280, y = 643.338 }, { x = 546.479, y = 709.232 }, { x = 538.316, y = 736.014 }, { x = 600.764, y = 783.156 }, { x = 649.696, y = 785.598 }, { x = 695.143, y = 792.907 }, { x = 809.813, y = 717.931 }, { x = 828.406, y = 669.070 }, { x = 691.351, y = 634.007 } }, area_id = 300, vision_type_list = { 60010019 } },
	-- 起始基地侧面
	{ config_id = 350015, shape = RegionShape.POLYGON, pos = { x = 1051.393, y = 1008.500, z = 845.890 }, height = 81.872, point_array = { { x = 1074.466, y = 895.519 }, { x = 1058.396, y = 889.458 }, { x = 1032.238, y = 840.004 }, { x = 1024.973, y = 809.815 }, { x = 1038.140, y = 798.839 }, { x = 1044.396, y = 796.261 }, { x = 1072.820, y = 833.409 }, { x = 1077.812, y = 866.796 }, { x = 1076.162, y = 885.852 } }, area_id = 300, vision_type_list = { 60010021 } }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 350001, 350002, 350003, 350004, 350005, 350006, 350007, 350008, 350009, 350010, 350011, 350012, 350013, 350014, 350015 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================
